<?php
/*
 *   +----------------------------------+
 *    Nom du Filtre : licence   
 *   +----------------------------------+
 *    date : 2005.06.14
 *    auteur :  erational - http://www.erational.org
 *    version: 1.1
 *    licence: GPL
 *   +-------------------------------------+
 *    Fonctions de ce filtre :
 *	retourne les mentions legales, liens et code RDF  en fonction de la licence choisie
 *	notamment les 6 contrats Creative commons http://creativecommons.org/license/?lang=fr 
 *
 *   valeurs possibles:
*	- copyright
*	- gpl
*	- cc by
*	- cc by-nd
*	- cc by-nc-nd
*	- cc by-nc
*	- cc by-nc-sa
*	- cc by-sa
 *   +-------------------------------------+
 *
 * Pour toute suggestion, remarque, proposition d"ajout
 * reportez-vous au forum de l"article :
 * http://www.spip-contrib.net/article.php3?id_article=994
 */


function licence($titre) {
	$str = "\n<!-- licence -->\n";
	$titre = strtolower($titre);
	switch($titre)  {
		case "copyright": // copyright
					$str .= "&copy; copyright auteur de l'article\n";
					break;
					
		case "gpl":		// GPL
					$str .= "<a href=\"http://www.gnu.org/copyleft/gpl.html\">licence GPL</a>\n";
					break;	
		case "cc by":	// Creative Commons - Paternit 
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by/2.0/fr/deed.fr\"><img alt=\"Contrat Creative Commons\" border=\"0\" src=\"http://creativecommons.org/images/public/somerights20.gif\" /></a><br />\n";
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by/2.0/fr/deed.fr\">Creative Commons</a>\n";
					$str .= "<!--\n";
					$str .= "<rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
					$str .= "<Work rdf:about=\"\">\n";
					$str .= "	   <dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Text\" />\n";
					$str .= "	   <license rdf:resource=\"http://creativecommons.org/licenses/by/2.0/fr/deed.fr\" />\n";
					$str .= "	</Work>\n";
						
					$str .= "	<License rdf:about=\"http://creativecommons.org/licenses/by/2.0/fr/deed.fr\">\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Reproduction\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Distribution\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Notice\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Attribution\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\" />\n";
					$str .= "	</License>\n";
					$str .= "</rdf:RDF>\n";
					$str .= "-->\n";
					break;
		case "cc by-nd":	// Creative Commons - Paternit pas de modification	
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nd/2.0/fr/deed.fr\"><img alt=\"Contrat Creative Commons\" border=\"0\" src=\"http://creativecommons.org/images/public/somerights20.gif\" /></a><br />\n";
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nd/2.0/fr/deed.fr\">Creative Commons</a>\n";
					$str .= "<!--\n";
					$str .= "<rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
					$str .= "<Work rdf:about=\"\">\n";
					$str .= "	   <dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Text\" />\n";
					$str .= "	   <license rdf:resource=\"http://creativecommons.org/licenses/by-nd/2.0/fr/deed.fr\" />\n";
					$str .= "	</Work>\n";
						
					$str .= "	<License rdf:about=\"http://creativecommons.org/licenses/by-nd/2.0/fr/deed.fr\">\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Reproduction\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Distribution\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Notice\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Attribution\" />\n";
					$str .= "	</License>\n";
					$str .= "</rdf:RDF>\n";
					$str .= "-->\n";
					break;
					
		case "cc by-nc-nd":	// Creative Commons - Paternit Pas d"Utilisation Commerciale Pas de Modification	
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-nd/2.0/fr/deed.fr\"><img alt=\"Contrat Creative Commons\" border=\"0\" src=\"http://creativecommons.org/images/public/somerights20.gif\" /></a><br />\n";
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-nd/2.0/fr/deed.fr\">Creative Commons</a>\n";
					$str .= "<!--\n";
					$str .= "<rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
					$str .= "<Work rdf:about=\"\">\n";
					$str .= "	   <dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Text\" />\n";
					$str .= "	   <license rdf:resource=\"http://creativecommons.org/licenses/by-nc-nd/2.0/fr/deed.fr\" />\n";
					$str .= "	</Work>\n";
						
					$str .= "	<License rdf:about=\"http://creativecommons.org/licenses/by-nc-nd/2.0/fr/deed.fr\">\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Reproduction\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Distribution\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Notice\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Attribution\" />\n";
					$str .= "	   <prohibits rdf:resource=\"http://web.resource.org/cc/CommercialUse\" />\n";
					$str .= "	</License>\n";
					$str .= "</rdf:RDF>\n";
					$str .= "-->\n";
					break;
		case "cc by-nc":	// Creative Commons - Paternit Pas d"Utilisation Commerciale 	
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc/2.0/fr/deed.fr\"><img alt=\"Contrat Creative Commons\" border=\"0\" src=\"http://creativecommons.org/images/public/somerights20.gif\" /></a><br />\n";
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc/2.0/fr/deed.fr\">Creative Commons</a>\n";
					$str .= "<!--\n";
					$str .= "<rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
					$str .= "<Work rdf:about=\"\">\n";
					$str .= "	   <dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Text\" />\n";
					$str .= "	   <license rdf:resource=\"http://creativecommons.org/licenses/by-nc/2.0/fr/deed.fr\" />\n";
					$str .= "	</Work>\n";
						
					$str .= "	<License rdf:about=\"http://creativecommons.org/licenses/by-nc/2.0/fr/deed.fr\">\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Reproduction\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Distribution\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Notice\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Attribution\" />\n";
					$str .= "	   <prohibits rdf:resource=\"http://web.resource.org/cc/CommercialUse\" />\n";
					$str .= "  	   <permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\" />\n";
					$str .= "	  <requires rdf:resource=\"http://web.resource.org/cc/ShareAlike\" />\n";
					$str .= "	</License>\n";
					$str .= "</rdf:RDF>\n";
					$str .= "-->\n";
					break;
					
		case "cc by-nc-sa":	// Creative Commons - Paternit Pas d"Utilisation Commerciale Partage des Conditions Initiales  l"Identique 	
					$str .= "<br /><br /><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/2.0/fr/deed.fr\"><img alt=\"Contrat Creative Commons\" border=\"0\" src=\"http://creativecommons.org/images/public/somerights20.gif\" /></a><br />\n";
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/2.0/fr/deed.fr\" style=\"display:none\">Creative Commons</a>\n";
					$str .= "<!--\n";
					$str .= "<rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
					$str .= "<Work rdf:about=\"\">\n";
					$str .= "	   <dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Text\" />\n";
					$str .= "	   <license rdf:resource=\"http://creativecommons.org/licenses/by-nc-sa/2.0/fr/deed.fr\" />\n";
					$str .= "	</Work>\n";
						
					$str .= "	<License rdf:about=\"http://creativecommons.org/licenses/by-nc-sa/2.0/fr/deed.fr\">\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Reproduction\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Distribution\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Notice\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Attribution\" />\n";
					 $str .= "	   <prohibits rdf:resource=\"http://web.resource.org/cc/CommercialUse\" />\n";
					$str .= "        <permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\" />\n";
					$str .= "         <requires rdf:resource=\"http://web.resource.org/cc/ShareAlike\" />\n";
					$str .= "	</License>\n";
					$str .= "</rdf:RDF>\n";
					$str .= "-->\n";
					break;
					
			
		case "cc by-sa":	// Creative Commons - Paternit  Partage des Conditions Initiales  l"Identique	
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-sa/2.0/fr/deed.fr\"><img alt=\"Contrat Creative Commons\" border=\"0\" src=\"http://creativecommons.org/images/public/somerights20.gif\" /></a><br />\n";
					$str .= "<a rel=\"license\" href=\"http://creativecommons.org/licenses/by-sa/2.0/fr/deed.fr\">Creative Commons</a>\n";
					$str .= "<!--\n";
					$str .= "<rdf:RDF xmlns=\"http://web.resource.org/cc/\" xmlns:dc=\"http://purl.org/dc/elements/1.1/\" xmlns:rdf=\"http://www.w3.org/1999/02/22-rdf-syntax-ns#\">\n";
					$str .= "<Work rdf:about=\"\">\n";
					$str .= "	   <dc:type rdf:resource=\"http://purl.org/dc/dcmitype/Text\" />\n";
					$str .= "	   <license rdf:resource=\"http://creativecommons.org/licenses/by-sa/2.0/fr/deed.fr\" />\n";
					$str .= "	</Work>\n";
						
					$str .= "	<License rdf:about=\"http://creativecommons.org/licenses/by-sa/2.0/fr/deed.fr\">\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Reproduction\" />\n";
					$str .= "	   <permits rdf:resource=\"http://web.resource.org/cc/Distribution\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Notice\" />\n";
					$str .= "	   <requires rdf:resource=\"http://web.resource.org/cc/Attribution\" />\n";
					$str .= "        <permits rdf:resource=\"http://web.resource.org/cc/DerivativeWorks\" />\n";
					$str .= "         <requires rdf:resource=\"http://web.resource.org/cc/ShareAlike\" />\n";
					$str .= "	</License>\n";
					$str .= "</rdf:RDF>\n";
					$str .= "-->\n";
					break;
	}	
	return $str;	
  
}

?>
